#pragma once
#include "Graphics.h"
#include "Vec2.h"
#include "Colors.h"
#include "Keyboard.h"
#include "Mouse.h"
#include <math.h>

class Ship
{
public:
	Ship() = default;
	Ship(Vec2 pos_in, Color cr, Color cb);
	void Update(Mouse& mouse, Keyboard& kbd);
	void IsColliding();
	void Draw(Graphics& gfx);
private:
	Vec2 pos, dir;
	float dimension = 20.0f;
	int speed = 5;
	Color cr, cb;

};