#include "MainWindow.h"
#include "Game.h"
#include "Mat3.h"

Game::Game(MainWindow& wnd)
	:
	wnd(wnd),
	gfx(wnd),
	ship(Vec2(200, 200), cr, cb)
{
}

void Game::Go()
{
	gfx.BeginFrame();
	UpdateModel();
	ComposeFrame();
	gfx.EndFrame();
}

void Game::UpdateModel()
{
	ship.Update(wnd.mouse, wnd.kbd);
}

void Game::ComposeFrame()
{
	ship.Draw(gfx);
}
